petsc-3.4.2 2013-07-02

# MatCoarsenApply

Gets a coarsen for a matrix.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatCoarsenApply(MatCoarsen coarser)

Collective on Mat

### Input Parameters

matp -the matrix coarsen object

### Output Parameters

coarsen -the coarsen. For each local node this tells the aggregate number that that node is assigned to.

### Options Database Keys

To specify the coarsen through the options database, use one of the following

       -mat_coarsen_type mis

To see the coarsen result

       -mat_coarsen_view

The user can define additional coarsens; see MatCoarsenRegister().

### Keywords

matrix, get, coarsen

### See Also

MatCoarsenRegister(), MatCoarsenCreate(),
MatCoarsenDestroy(), MatCoarsenSetAdjacency(), ISCoarsenToNumbering(), ISCoarsenCount()

Level:beginner
Location:src/mat/coarsen/coarsen.c
Index of all MatOrderings routines
Table of Contents for all manual pages
Index of all manual pages